Bug 994500 - The 'redhat-storage-logos' package is not installed by default on a Red Hat Storage (RHS) 2.1 system installed from Red Hat (RH) Satellite server
The 'redhat-storage-logos' package is not installed by default on a Red Hat S...
Status: CLOSED ERRATA
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: distribution (Show other bugs)
2.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anthony Towns
Rejy M Cyriac
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-07 08:09 EDT by Rejy M Cyriac
Modified: 2014-07-11 02:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-23 18:32:15 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rejy M Cyriac 2013-08-07 08:09:31 EDT
Description of problem:
On an RHS 2.1 system installed over the network, from RH Satellite, the 'redhat-storage-logos' package is not installed by default. It becomes available for installation, replacing the 'redhat-logos' package, only upon a 'yum update' being run on the system.

--------------------------------------------------------------------

# yum update
Loaded plugins: product-id, rhnplugin, security, subscription-manager
This system is not registered to Red Hat Subscription Management. You can use subscription-manager to register.
This system is receiving updates from RHN Classic or RHN Satellite.
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package bind-libs.x86_64 32:9.8.2-0.17.rc1.el6 will be updated
....
---> Package redhat-logos.noarch 0:60.0.14-1.el6 will be obsoleted
---> Package redhat-storage-logos.noarch 0:60.0.15-1.el6rhs will be obsoleting
....
--> Finished Dependency Resolution

Dependencies Resolved

===================================================================================================================================================================================================================
 Package                                              Arch                                Version                                                  Repository                                                 Size
===================================================================================================================================================================================================================
Installing:
 kernel                                               x86_64                              2.6.32-358.6.2.el6                                       rhel-x86_64-server-6.4.z                                   26 M
 redhat-storage-logos                                 noarch                              60.0.15-1.el6rhs                                         rhel-x86_64-server-6-rhs-2.1                               25 M
     replacing  redhat-logos.noarch 60.0.14-1.el6
Updating:
 bind-libs                                            x86_64                              32:9.8.2-0.17.rc1.el6_4.4                                rhel-x86_64-server-6.4.z                                  879 k
....

Transaction Summary
===================================================================================================================================================================================================================
Install       2 Package(s)
Upgrade      38 Package(s)

Total download size: 92 M
Is this ok [y/N]: 

--------------------------------------------------------------------

On the other hand, on an RHS 2.1 system installed from the ISO, the 'redhat-storage-logos' package is installed by default, and the 'redhat-logos' package is not installed.

It would also be good to examine whether this package is required at all. The package provides icons, buttons, themes, background images and similar files, which appears as not useful on an RHS server, which has no graphical interface.

Version-Release number of selected component (if applicable):
RHS 2.1

How reproducible:


Steps to Reproduce:
1. Install RHS 2.1 system from RH Satellite server
2. Examine for presence of 'redhat-storage-logos' or 'redhat-logos' package on installed system
3. Register system to appropriate channels, and perform 'yum update'
4. Observe that 'redhat-storage-logos' package replaces 'redhat-logos' package

Actual results:
On an RHS 2.1 system installed over the network, from RH Satellite, the 'redhat-storage-logos' package is not installed by default. On an RHS 2.1 system installed from the ISO, the 'redhat-storage-logos' package is installed by default, and the 'redhat-logos' package is not installed.

Expected results:
If the 'redhat-storage-logos' package is required for an RHS system, it should be installed by default, regardless of installation mode.

Additional info:
Comment 1 Anthony Towns 2013-08-11 10:49:17 EDT
Added to requirements list of redhat-storage-server already.
Comment 2 Rejy M Cyriac 2013-08-14 11:02:26 EDT
Tested and verified that, on install of RHS 2.1 server through RH Satellite server, the 'redhat-storage-logos' package is being installed by default, in-place of the redhat-logos package

-----------------------------------------------------------

# rpm -qa | grep logo
redhat-storage-logos-60.0.15-1.el6rhs.noarch

# yum list redhat-storage-logos
Loaded plugins: product-id, rhnplugin, security, subscription-manager
This system is not registered to Red Hat Subscription Management. You can use subscription-manager to register.
This system is receiving updates from RHN Classic or RHN Satellite.
Installed Packages
redhat-storage-logos.noarch                                                                     60.0.15-1.el6rhs                                                                      @rhel-x86_64-server-6-rhs-2.1

# yum list redhat-logos
Loaded plugins: product-id, rhnplugin, security, subscription-manager
This system is not registered to Red Hat Subscription Management. You can use subscription-manager to register.
This system is receiving updates from RHN Classic or RHN Satellite.
Available Packages
redhat-logos.noarch                                                                             60.0.14-1.el6                                                                              rhel-x86_64-server-6.4.z

-----------------------------------------------------------
Comment 3 Scott Haines 2013-09-23 18:32:15 EDT
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA. 

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-1262.html

Note You need to log in before you can comment on or make changes to this bug.